Page MenuHomePhabricator

Unbreak WMF-hosted Worldpay workflow
Closed, DeclinedPublic

Description

The changes involved in the enhanced silent order post integration maybe probably break the previous API flow. Investigate and fix.

Event Timeline

cwdent raised the priority of this task from to Needs Triage.
cwdent updated the task description. (Show Details)
cwdent added a subscriber: cwdent.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 4:03 PM
atgo added a subscriber: atgo.Sep 15 2015, 4:18 PM

Is this for when we would turn WP back on with PCI SAQ A-EP? letters :P

Yep that's the idea. I don't know for a fact that the new stuff breaks the old stuff but I am highly suspicious.

awight renamed this task from Unbreak Worldpay API workflow to Unbreak WMF-hosted Worldpay workflow.Sep 15 2015, 5:06 PM
awight set Security to None.
atgo added a comment.Sep 15 2015, 5:08 PM

Let's leave some more breadcrumbs here? It might be a while before we get that back on, so it'd be good to have more info.

atgo added a parent task: Restricted Task.Sep 15 2015, 5:08 PM

Since the iframe uses mustache forms and the API uses Rapidhtml there is currently no way to stop the latter from getting both stylesheets and looking bad.

I changed the way the URL we send gets built and added ffname to it so that may cause a problem.

The old config is commented out in form settings so that will definitely break.

Also added a couple things to worldpay.api.php (amount, ffname, redirect url) that are worth checking.

Change 238502 had a related patch set uploaded (by Awight):
Case IsHosted parameter for ESOP only.

https://gerrit.wikimedia.org/r/238502

Change 238502 merged by jenkins-bot:
Case IsHosted parameter for ESOP only.

https://gerrit.wikimedia.org/r/238502

Ppena added a subscriber: Ppena.Sep 25 2015, 7:14 PM

adding by Awhight request: Thinking about AMEX processing with merch ID 200639. Trying to think how to send the form country to WP, so they can differentiate processing for France versus other countries. Main thing is to be able to block non-french cards for France, but allow all cards for the rest of the world. example:

France: Amex processing only french issued cards
US: Amex processing cards issued anywhere (not particularly blocked)

they will be able to tell the issuer country from their end, but we need to pass the 'form' country. How can we do that?

atgo removed a subscriber: atgo.Mar 30 2016, 10:03 PM
Ejegg closed this task as Declined.Jan 4 2017, 6:07 PM